<!DOCTYPE>
<html>
    <head>
        <meta charset="utf-8" />
        <title>Arduino local mp3</title>
        <style>
            body {
                margin: 0;
                padding: 0;
                width: 100%;
                height:100%;
                font-family: sans-serif;
				background-color: #e4e4e4;
            }
			
			.maindiv {
				width: 80%;
				margin: 0 auto;
				background-color: #fff;
				height: 98%;
			}
			
			h1 {
				display: block;
				width: 100%;
				text-align: center;
				background-color: #006D91;
				border-radius: 2px;
				color: #e4e4e4;
			}
			
            p, ul {
                width: 60%;
                margin: 10px auto 0 auto;
                padding: 2px;
                border: 2px solid #006D91;
				background-color: #e4e4e4;
				border-radius: 3px;
            }
			
			ul {
				list-style: none;
				font-style: italic;
			}
			
			h2 {
				width: 100%;
				margin: 5px auto 5px auto;
				padding-top: 2px;
				text-align: center;
				background-color: #006D91;
				color: #e4e4e4;
				border-radius: 2px;

			}
			
			.top {
				display: inline;
				width: 100%;
				margin: 0 auto;
			}
			
			#top {
				text-align: center;
				background-color: #e4e4e4;
				margin: 5px auto 5px auto;
				border-radius: 2px;
				height: 65px;
				padding: 2px;
				
			}
			
			#top input {
				background-color: #006D91;
				color: #fff;
				text-align: center;
				border-radius: 100px;
				font-size: 12pt;
				font-weight: bold;
			}
			
			#volume {
				display: inline-block;
			}
			
			#secrow {
				display: block;
			}
			
			.vol {
				display: inline-block;
			}
			
			.playstates {
				display: inline-block;
			}
			
			#volume input, #secrow input {
				border-radius: 100px;
				
			}
			
			#legenda {
				margin: 0 auto;
				width: 100%;
				background-color: #006D91;
				color: #fff;
				display: block;
				text-align: center;
				border-radius: 4px
			}
			
			#legenda #legendatable {
				color: #fff;
				margin: 0 auto;
				width: 50%;
				text-align: center;
				font-size: 13pt;
			}
			
			#legenda #legendatable th {
				color: #e4e4e4;
			}
			
			td {
				font-weight: bold;
			}
			
			img {
				display: none;
			}
			
        </style>
		<script src="https://code.jquery.com/jquery-2.1.4.js"></script>
        <script>
			//functie voor ophaalen van string met status van arduino
			function getMp3Data() {
				//get request voor data van arduino en deze logt de ontvange data in console laatste param is het data type
				$.get("10.0.1.26", function(data) {
					$("#mp3status").append(data);
				});
				setTimeout(getMp3Data(), 3000);				//set timeout roept de gegeven functie aan na de param2 waarde in miliseconden
			}
			
			//roept de getmp3data functie aan na dat de dom klaar is om status opte haalen van mp3 module
            $(document).ready(getMp3Data());
        </script>
    </head>
    <body>
		<div class="maindiv" >
			<h1>MP3 controle paneel!</h1>
			<p>
				Hallo en Welkom op de web pagina voor mijn mp3 speler. Op deze pagina 
				kunt u de mp3 speler aansturen om verschilende dingen te doen zoals:
			</p>
				<ul>
					<li>nummers afspelen</li>
					<li>naar vorige nummer gaan</li>
					<li>naar volgende nummer gaan</li>
					<li>nummers schufelen</li>
				</ul>
			<p>
				en nog veel meer dus veel luister plezier!   
			</p>
			<h2>Huidige status van MP3 speler:</h2>
			<p id="mp3status" >
				<!--hier komt status van mp3 speler-->
			</p>
			<div id="top">
				<form method="get" class="top">
					<label for="pause" ></label>
					<input id="pause" type="submit" name="P"  value="||"/>
				</form>
				<form method="get" class="top">
					<label for="play" ></label>
					<input id="play" type="submit" name="a"  value=">"/>
				</form>
				<form method="get" class="top" >
					<label for="prev" ></label>
					<input id="prev" type="submit" name="p"  value="<-"/>
				</form>
				<form method="get" class="top">
				<label for="next" ></label>
					<input id="next" type="submit" name="n"  value="->"/> 
				</form>
				<div id="volume">
					<form method="get" class="vol">
						<label for="incvol" ></label>
						<input id="incvol" type="submit" name="i"  value="+"/> 
					</form>
					<form method="get" class="vol">
						<label for="decvol" ></label>
						<input id="decvol" type="submit" name="d"  value="-"/>
					</form>
				</div>
				<div id="secrow">
					<form method="get" class="playstates">
					<label for="randloopall" ></label>
						<input id="randloopall" type="submit" name="r"  value="<><>"/> 
					</form>
					<form method="get" class="playstates">
						<label for="loopcurtrack" ></label>
						<input id="loopcurtrack" type="submit" name="l"  value="<><>1x"/>
					</form>
				</div>
			</div>
			<div id="legenda">
				<h2>knop legenda:</h2>
				<table id="legendatable">
					<tr>
						<th>
							knop icoon:
						</th>
						<th>
							knop beschrijving
						</th>
					</tr>
					<tr>
						<td>
							||
						</td>
						<td>
							nummer pauzeren
						</td>
					</tr>
					<tr>
						<td>
							>
						</td>
						<td>
							1ste nummer afspelen
						</td>
					</tr>
					<tr>
						<td>
							+
						</td>
						<td>
							volume plus 1
						</td>
					</tr>
					<tr>
						<td>
							-
						</td>
						<td>
							volume min 1
						</td>
					</tr>
					<tr>
						<td>
							<><>
						</td>
						<td>
							alle nummers Random afspelen
						</td>
					</tr>
					<tr>
						<td>
							<><>1x
						</td>
						<td>
							huidige nummer herhaalen
						</td>
					</tr>
					<tr>
						<td>
							<-
						</td>
						<td>
							vorige nummer afspelen
						</td>
					</tr>
					<tr>
						<td>
							->
						</td>
						<td>
							volgende nummer afspelen
						</td>
					</tr>
				</table>
			</div>
			<img src="http://www.studiopieters.nl/wp-content/uploads/2015/08/keep-calm-and-use-arduino-1.png" />
		</div>
    </body>
</html>